/**
 * Projects Home Section Styles
 * 
 * @package DucPhat
 * @version 1.0.0
 */

/* ==========================================================================
   Home Projects Section
   ========================================================================== */

.home-section-project {
    background: #ED132A;
    padding: 56px 0 70px;
    position: relative;
}

.home-section-project:before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: -13px;
    height: 13px;
    background: url(https://ducphat.updata.top/wp-content/uploads/2025/06/project-icon-red.svg) no-repeat bottom;
    background-size: contain;
}

.home-section-project .home-project-title {
    font-style: normal;
    font-weight: 700;
    font-size: 46px;
    line-height: 56px;
    color: #fff;
    padding-bottom: 25px;
    position: relative;
    text-align: center;
}

.home-section-project .home-project-title:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 80px;
    height: 10px;
    margin-left: -40px;
    background: #fff;
}

.home-section-project .home-project-items {
    padding-top: 0px;
    padding-bottom: 0px;
}

.home-section-project .home-project-items .home-project-item {
    position: relative;
    display: block;
    overflow: hidden;
}

.home-section-project .home-project-items .home-project-item .item-image img {
    width: 100%;
    height: auto;
    transition: all .5s ease-in-out;
    border-radius: 8px;
}

.home-section-project .home-project-items .home-project-item:hover .item-image img {
    scale: 1.15;
}

.home-section-project .home-project-items .home-project-item .item-box {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(0deg, #ED132A 9.5%, rgba(19, 73, 156, 0.00) 100%);
    z-index: 2;
    display: flex;
    flex-direction: column;
    transition: all .5s ease-in-out;
    top: calc(100% - 200px);
}

.home-section-project .home-project-items .home-project-item .item-title {
    color: #FFF;
    text-align: center;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-transform: uppercase;
    padding: 90px 60px 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    min-height: 200px;
}

.home-section-project .home-project-items .home-project-item:hover .item-box {
    top: 0;
}

.home-section-project .home-project-items .home-project-item:hover .item-title {
    padding-top: 0;
    padding-bottom: 75px;
}

.home-section-project .home-project-items .home-project-item .item-hover {
    opacity: 0;
    position: absolute;
    top: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    transition: all 0.55s ease-in-out;
    text-align: center;
    color: #ffffff;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    z-index: 2;
    padding: 0 30px;
}

.home-section-project .home-project-items .home-project-item:hover .item-hover {
    opacity: 1;
    top: 50%;
}

.home-section-project .home-project-items .home-project-item .item-more {
    margin-top: 10px;
}

.home-project-items .row .col-md-4 {
    padding: 0;
}

.home-project-seemore {
    text-align: center;
}

.button-new-blue {
    background: #ED132A;
    border: solid 1px #FFF;
    min-width: 160px;
    padding: 5px 16px;
    color: #FFF;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    transition: all 0.25s ease-in-out;
}

.button-new-blue:hover {
    background: #ffffff;
    color: #ED132A;
}

/* ==========================================================================
   Responsive Design
   ========================================================================== */

@media screen and (max-width: 992px) {
    .page-layout-home .main .container {
        width: 100%;
        max-width: 100%;
    }

    .home-section-project {
        padding: 30px 0;
    }

    .home-section-project .home-project-title {
        font-size: 28px;
        line-height: 32px;
        padding-bottom: 14px;
    }

    .home-section-project .home-project-title:after {
        height: 5px;
    }

    .home-section-project .home-project-items {
        padding-top: 30px;
        padding-bottom: 0;
    }
}
